/**
 ** @author: Ben Y. Zhao (ravenben@cs.berkeley.edu)
 ** @version: Release 1.1 $date:  June 17, 1999$
 ** (c) 1999 by Ben Yanbin Zhao and the Regents of the University of California
 */

package xset;
import java.util.*;
import org.w3c.dom.*;

public class DocumentEntry {
  ServiceEntry se = null;
  Hashtable attributes = null;
  
  public DocumentEntry(ServiceEntry s, NamedNodeMap nnm) {
    se = s;
    int j = nnm.getLength();
    Attr attribute;
    attributes = new Hashtable();
    for (int i = 0; i < j; i++) {
      attribute = (Attr) nnm.item(i);
      attributes.put(attribute.getName(), attribute.getValue());
    }
  }
}
